#!/bin/sh

[ ! -e "/proc/acpi/ibm/thermal" ] && exit 1
temps="$(cat /proc/acpi/ibm/thermal)"
temp1="$(echo "$temps" | awk '{print $2}') ºC"
temp2="$(echo "$temps" | awk '{print $5}') ºC"

text="CPU0: $temp1\nCPU1: $temp2"
notify-send "Temperature" "$text"
